# ``twisted`.`conch`.`endpoints`.`_ExistingConnectionHelper``

class documentation

`class _ExistingConnectionHelper: (source)`

Implements interfaces: `twisted.conch.endpoints._ISSHConnectionCreator`

View In Hierarchy

`_ExistingConnectionHelper` implements `_ISSHConnectionCreator` by handing out an existing SSH connection which is supplied to its initializer.

Method | `__init__` |
Method | `cleanupConnection` | Do not do any cleanup on the connection. Leave that responsibility to whatever code created it in the first place.
Method | `secureConnection` |
Instance Variable | `connection` | Undocumented

def __init__(self, connection): (source)

Parameters
connection | See `SSHCommandClientEndpoint.existingConnection`'s `connection` parameter.

def cleanupConnection(self, connection, immediate): (source)
from `twisted.conch.endpoints._ISSHConnectionCreator`
Do not do any cleanup on the connection. Leave that responsibility to whatever code created it in the first place.

Parameters
connection:`SSHConnection` | The `SSHConnection` which will not be modified in any way.
immediate:`bool`. | An argument which will be ignored.

def secureConnection(self): (source)
from `twisted.conch.endpoints._ISSHConnectionCreator`

Returns
A `Deferred` that fires synchronously with the already-established connection object.

connection = (source)

Undocumented